Delivery Confirmation API

The Delivery Confirmation API is used to confirm the delivery of card to the cardholder. The transactions for instant card delivery, where physical or digital products are opted at institutional level, will work only if this API is successful. The Delivery Confirmation API can only be called afterthe Request Embossing API or Get Embossing API is processed. The API request is encrypted. Refer to the Message Level Security - AES Encryption section in the CR+ REST API Security Requirements attachment document for detailed information on encryption of JSON payload. It is applicable for instant cards of prepaid, credit, and debit products issued on Pine Labs platform.

HTTP Status and Response Status Matrix

  • HTTP Code: This is the response status code issued by a server in response to a client's request made to the server.
  • Error Code: This is the error code returned by Credit+ Issuing application in the ‘code’ field of the response message indicating if the request was processed successfully or failed.
  • Description: This is the description of the error code returned by Credit+ Issuing application.
  • Details: This is the detailed description of the error code returned by Credit+ Issuing application
HTTP CodeError CodeDescriptionDetails
200OKThe server has successfully processed your request.
400MISSING_REQUIRED_FIELDMissing Required Field 'mobile.number''Mobile number' field is mandatory when only last 4 digits of device number are provided.
400MISSING_REQUIRED_FIELDMissing Required Field 'mobile.isdCode''ISD Code' field is mandatory when only last 4 digit of device number are provided.
400MISSING_REQUIRED_FIELDMissing Required Field 'device.number', 'device.packID'At least one field must be present - 'deviceNumber', 'packID'.
400MISSING_REQUIRED_FIELDMissing Required Field 'device.delivery'.Missing Required Field 'device.delivery'.
400MISSING_REQUIRED_FIELDMissing Required Field 'ProductType'.Missing Required Field 'ProductType'.
400RECORD_NOT_FOUNDRecord not found for given search criteria(s) - 'Device linked to 'device.number' : XXXX<LAST 4 Digits of DeviceNumber> not found.
400RECORD_NOT_FOUNDDelivery confirmation cannot be processed as embossing is not completed.
400RECORD_NOT_FOUNDDelivery confirmation not received.
400RECORD_NOT_FOUNDDevice Production Batch is not executed for the card.
400RECORD_NOT_FOUNDDelivery Confirmation cannot be processed for devices other than normal status.
400TIMESTAMP_ERRORRequest timestamp is in past.Request timestamp of '<"dataValidUntilTimestamp">' field value '
400ERR_CODE_INVALID_FIELD_FORMATInvalid Field Value 'dataValidUntilTimestamp'.dataValidUntilTimestamp field must be in ISO 8601 format.
400ERR_DB_PROCError inside PRC_INST_DEVICE_DELIVERY_CONF
403AUTHORIZATION_ERRORUser in not authorized to access requested resource.
409RESOURCE_ALREADY_EXISTSDelivery confirmation already received.
500SYSTEM_ERRORAn unexpected error has occurred with the service you have requested.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
device
object
required
mobile
object
date-time
required
length between 20 and 29

The date and time after which this encrypted data object is considered invalid. If this timestamp is less than the current timestamp of institution, the current request (encrypted payload) will be treated as invalid request. Expressed in ISO-8601 extended format. Must be either yyyy-MM-ddTHH:mm:ss[.sss]Z or yyyy-MM-ddTHH:mm:ss[.sss]±hh:mm, where [.sss] is optional and can be 1 to 3 digits.

Headers
string
^[a-zA-Z0-9-]{1,36}$

API consumer can share unique X-MC-Correlation-ID in HTTP header for each API request. It is recommended to generate UUID (maximum length: 36 alphanumeric characters) that is compliant with RFC 4122. If it is not shared, then the system generates a unique value for each request. For example, ac97d177-9345-4934-8343-0f91a7a02836

string
enum

API consumer can share X-MC-Channel in HTTP header for API requests. It is the network or channel through which request is routed. The only available value for Channel is API.

Allowed:
string

API consumer can share X-MC-Source in HTTP header for API requests. It identifies the request originators application. For the list of source values, see the Pre-conditions for HTTP Header of REST API topic in the Pre-requisite for Rest API section.

string
length ≤ 50

API consumer can share X-MC-Client-Application-User-ID in HTTP header for API requests. This parameter is a unique identifier to track actual user performing action at the client's end. This field is used only for logging purpose. The maximum length is 50.

Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json